local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")


function onTalk()

    if getFlag("cat3") then
        disableMovement()
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_BlackSpace_door2_treehouse_cat3"))
        enableMovement()
    end

    if getFlag("cat2") then
        setFlag("cat2", false)
        setFlag("cat3")
        disableMovement()
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_BlackSpace_door2_treehouse_cat2"))
        enableMovement()
    end

    if not getFlag("cat2") and not getFlag("cat3") then
        setFlag("cat2")
        disableMovement()
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_BlackSpace_door2_treehouse_cat1"))
        enableMovement()
    end

end